﻿.textfield_label_icon {
    position: absolute;
    bottom: 20px;
    right: 10px;
}

html,body
{
  height: 100% !important;
  margin: 0;
  padding: 0;
}


.container{
    height:calc(100% - 65px) !important;
}



.container .row
{
    margin:0px !important;
}
/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Set width on the form input elements since they're 100% wide by default */
/*input,
select,
textarea {
    max-width: 280px;
}*/


/* PROCADI MODAL RESPONSIVO */

/*Para dispositivos mobiles*/

/*PARA TABLETS*/

@media (min-width: 601px) and
       (max-width: 991px) {
    .modalprocadi {
        width: 70% !important;
    }
}

/*PARA ESCRITORIOS*/
@media (min-width: 992px ) {
    .modalprocadi {
        width: 30% !important;
    }
}
.waves-effect.waves-secondary-color .waves-ripple {
      background-color: rgba(158, 157, 36, 0.70);
    }
/*.input-field label {
    left:0rem !important;
}*/
.sweet-alert {
     background-image:url('/Imagenes/fondosweetalert.png') !important;
    background-size:100% 100%;
    background-repeat:no-repeat;
}
.sweet-alert .sa-button-container {
    /*background-color:#607d8b !important;*/
}
.sweet-alert .confirm{
    margin-top:13px !important;
    margin-bottom:13px !important;
    background-color:#263238 !important;
    width:150px !important;
}
.modal {
    overflow-y:visible !important;
} 
.hide {
     display: none !important;
}
table.dataTable thead th,
table.dataTable thead td {
  padding: 10px 18px;
  /*border-bottom: 1px solid #455a64 !important;*/
  border-bottom: 1px solid #dddddd !important;
  
}
table.dataTable tfoot th,
table.dataTable tfoot td {
  padding: 10px 18px 6px 18px;
  /*border-top:  1px solid #dddddd !important;*/
}
table.dataTable.no-footer {
  border-bottom:  1px solid #dddddd !important;
}
table.dataTable {
    /*Se comento para el nuevo diseño de catalogos, si se necesita hay que crear otro estilo*/
   /*border: 1px solid #dddddd !important;*/

}
table.dataTable tbody tr {
  height:54px !important;
  
  border-top:1px solid #ddd !important;
  
}

table.dataTable thead tr {
  height:54px !important; 
}

/*CAMBIA EL COLOR DE LA FILA AL PASAR EL MOUSE*/
table.dataTable tbody tr:hover {
    background-color: #cfd8dc !important;
}
/*
table.dataTable tr {
    border: 1px solid #777; 
} */

table.dataTable thead th{
    padding:0px 5px 5px 5px !important;
    /*CAMBI COLOR DEL HEADER*/

    
    color: #263238 !important;
    
}
table.dataTable thead th input
{
    margin:0px !important;
    
}
.navinterior{
    position:fixed;
    width:100%;
    height:48px;
    z-index:100;
}
.paddingmain {
    padding-top:48px !important;
}
.margentitulo{
    margin-left:10px;
}
.paddinmain{
    padding-right:0px !important;
    margin-right:0px !important;
    margin-left:0px !important;
    width:100%;
}
.nomargin{
    margin:0px !important
}
.margenbtnadd{
    margin-top:5px;
}
.dataTables_wrapper.no-footer .dataTables_scrollBody
{
    border-bottom: 0px solid #dddddd !important;
    border-left:0px solid #ff0000 !important;
}
/*Para sobreescribir el color de perfect scroll*/
.ps-container > .ps-scrollbar-y-rail > .ps-scrollbar-y {
    background-color: rgba(175,180,43,0.7) !important;
}
.ps-container:hover > .ps-scrollbar-y-rail:hover {
   background-color:rgba(240, 244, 195, 1) !important;
}
.cardlistas{
    height:100% !important;
    padding-left:20px;
    padding-right:20px;
}
.cardlistacompras{
    height:100% !important;
}
table.dataTable tbody tr:hover {
   border-left:3.5px solid rgba(195, 201, 48, 0.6) !important;
}
table.dataTable tbody tr {
   border-left:3.5px solid #ffffff !important;
}
table.dataTable tbody tr.selected
{
    background-color: #e6ee9c !important;
    border-left:3.5px solid rgba(195, 201, 48, 0.6) !important;
}

.tableditseleccionado {
    background-color: #acbad4 !important;
}


.js-loading-indicator.triple::after {
    border-top-color: #A8B4BD !important;
}


.js-loading-indicator {
    border-top-color: #afb42b !important;
    border-right-color: #afb42b !important;
}

.js-loading-indicator.triple::before {
    border-top-color: #263238 !important;
}

@media only screen and (max-width: 600px)  {
    .dropdownbutton-movil {
        height: 56px !important;
        line-height: 56px !important;
    }
}


select[readonly].select2 + .select2-container {
    pointer-events: none;
    touch-action: none;
    .select2-selection

{
    background: #eee;
    box-shadow: none;
}

.select2-selection__arrow,
.select2-selection__clear {
    display: none;
}
}


/*TEXTOGRANDE*/
.textbold {
    font-weight: bold;
    font-size: 1.25rem;
}

.textbold1 {
    font-weight:bold;
    font-size: 1.75rem;
}

.texttitulo {
    font-size: 1.25rem;
}

.color-nav-seleccionado {
    background-color: #37474F !important;
}


.select2-container {
    width: calc(100%) !important;
}

.select2-selection--single {
    border-top: 0px !important;
    border-left: 0px !important;
    border-right: 0px !important;
    border-radius: 0px !important;
    outline: none;
}


.select2-container {
    width: calc(100%) !important;
}

.select2-search__field {
    border-top: 0px !important;
    border-left: 0px !important;
    border-right: 0px !important;
}

.select2-search input {
    background: #fff url(ic_search_black_48dp.png) no-repeat 100%;
    background-size: 32px 32px;
}


.paddingtitulo {
    padding-bottom: 10px !important;
}

.colorregistro {
    /*background-color: #df9f9f !important;*/
    /*background-color: #FFF2CC !important;*/
    background-color: rgb(255, 231, 252) !important;
}
.centercontent {
    display: block;
    align-items: center;
    justify-content: center;
}
.card-header {
    height: 55px;
}
.textfield_label_icon_sort {
  position:absolute; bottom:10px; right:-10px; 
  height:30px;
  width:20px;
}
.texsortcolor{

}
.header_icon{
    line-height:37px !important;
}

.mobile-fab-tip {
    position: fixed;
    right: 85px;
    padding: 0px 0.5rem;
    text-align: right;
    background-color: #323232;
    border-radius: 2px;
    color: #FFF;
    width: auto;
}
.only-bold{
    font-weight:bold !important;
}
.text-justify {
  text-align: justify; 
}
.full-height{
    height:100%;
}
.full_width {
    width:100%;
}
.linkticket{
    height: 39px !important;
    line-height: 40.5px !important;
}